## tree-sitter-markdown 0.2.3

=== tree-sitter-markdown/Makefile ===
LANGUAGE_NAME := tree-sitter-markdown

REQUIRES := tree-sitter-markdown-inline

include ../common/common.mak
