=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli, tree-sitter-markdown-src

Tests: smoke-inline
Depends: tree-sitter-cli, tree-sitter-markdown-inline-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.2.3 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-md-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-md-0.2-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.2.3 --all-targets
Features:
 test-name=librust-tree-sitter-md-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-md-0.2+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.2.3 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-md-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 librust-tree-sitter-md-0.2-dev,
Restrictions:
 allow-stderr,
