=== tree-sitter-markdown-inline/Makefile ===
LANGUAGE_NAME := tree-sitter-markdown-inline

include ../common/common.mak
