=== debian/changelog ===
tree-sitter-markdown (0.5.0-3) unstable; urgency=medium

  * Require tree-sitter-cli >= 0.25 for autopkgtest

 -- James McCoy <jamessan@debian.org>  Thu, 16 Oct 2025 08:29:27 -0400

tree-sitter-markdown (0.5.0-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 13 Oct 2025 20:52:42 -0400

tree-sitter-markdown (0.5.0-1) experimental; urgency=medium

  * New upstream release
  * Generate parser using the same language ABI as upstream's release

 -- James McCoy <jamessan@debian.org>  Thu, 04 Sep 2025 18:55:46 -0400
