=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  cargo:native,
  debhelper-compat (= 13),
  dh-sequence-rust,
- librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-cc-1+default-dev (>= 1.1.22),
+ librust-tree-sitter-language-0.1+default-dev,
+ librust-tree-sitter-0.25+default-dev,
  nodejs,
  rustc:native,
- tree-sitter-cli (>= 0.22),
+ tree-sitter-cli (>= 0.24.3),
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/tree-sitter-grammars/tree-sitter-markdown/
@@ -25,7 +26,8 @@
  ${misc:Depends},
  gcc,
  libc6-dev | libc-dev,
- libtree-sitter-dev (>= 0.21),
+ librust-tree-sitter-language-0.1+default-dev,
+ libtree-sitter-dev (>= 0.21.1),
  make,
  pkgconf,
 Description: markdown parser for Tree-sitter (source files)
@@ -38,7 +40,8 @@
  ${misc:Depends},
  gcc,
  libc6-dev | libc-dev,
- libtree-sitter-dev (>= 0.21),
+ librust-tree-sitter-language-0.1+default-dev,
+ libtree-sitter-dev (>= 0.21.1),
  make,
  pkgconf,
 Description: inline markdown parser for Tree-sitter (source files)
@@ -50,17 +53,22 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-cc-1+default-dev (>= 1.1.22),
+ librust-tree-sitter-language-0.1+default-dev,
+ librust-tree-sitter-0.25+default-dev,
  ${misc:Depends},
 Provides:
  librust-tree-sitter-md+default-dev (= ${binary:Version}),
+ librust-tree-sitter-md+parser-dev (= ${binary:Version}),
  librust-tree-sitter-md-0-dev (= ${binary:Version}),
  librust-tree-sitter-md-0+default-dev (= ${binary:Version}),
- librust-tree-sitter-md-0.2-dev (= ${binary:Version}),
- librust-tree-sitter-md-0.2+default-dev (= ${binary:Version}),
- librust-tree-sitter-md-0.2.3-dev (= ${binary:Version}),
- librust-tree-sitter-md-0.2.3+default-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0+parser-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5+default-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5+parser-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5.0-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5.0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-md-0.5.0+parser-dev (= ${binary:Version}),
 Description: Markdown grammar for the tree-sitter parser - Rust source code
  tree-sitter-md is a tree-sitter grammar for Markdown, implementing the
  CommonMark Spec and (optionally) some of its extensions.
