=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,8 @@
 override_dh_auto_clean:
 
 override_dh_auto_build:
-	cd tree-sitter-markdown && tree-sitter generate --no-bindings
-	cd tree-sitter-markdown-inline && tree-sitter generate --no-bindings
+	cd tree-sitter-markdown && tree-sitter generate --abi "$$(sed -n 's/#define LANGUAGE_VERSION //p' src/parser.c)"
+	cd tree-sitter-markdown-inline && tree-sitter generate --abi "$$(sed -n 's/#define LANGUAGE_VERSION //p' src/parser.c)"
 	dh_auto_build --buildsystem=rust
 
 # Do not run Makefile install
