=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli (>= 0.25), tree-sitter-markdown-src

Tests: smoke-inline
Depends: tree-sitter-cli (>= 0.25), tree-sitter-markdown-inline-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.5.0 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-md-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.1.22),
 librust-tree-sitter-0.25+default-dev,
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-md-0.5.0-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.5.0 --all-targets
Features:
 test-name=librust-tree-sitter-md-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.1.22),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-md-0.5.0+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.5.0 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-md-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.1.22),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-md-0.5.0-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-md 0.5.0 --all-targets --no-default-features --features parser
Features:
 test-name=librust-tree-sitter-md-dev:parser,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.1.22),
 librust-tree-sitter-0.25+default-dev,
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-md-0.5.0-dev,
Restrictions:
 allow-stderr,
